	//	enumIDs.h:		A collection in one place of all the IDs referred to by Plans
//
//  WARNING:  This file should contain nothing but enum statements and comments.  
//			That's about all the parser can understand.	 
//
//	Author:			Rob Duisberg
//	History:
//
//	08/11/96	MIG Added id_DCF_WhoKilledMe, id_ACF_SetKilledDromer
//
//	08/11/96	MDM Added id_ACF_RegainHead action function
//
//	08/10/96	MDM Added new identifiers:
//					id_MOD_BodyPart?	8 new model IDs
//					id_GOB_BodyPart		1 new game object ID
//					id_COB_BodyPart?	8 new collision object IDs
//				Added new action functions:
//					id_ACF_LoseHead, id_ACF_Trace
//
//	08/08/96	MIG changed id_MSG_UnusedW back to id_MSG_Display.  Cross your fingers.
//				also id_MSG_Unused2 -> id_MSG_Open   and   id_MSG_UnusedJ -> id_MSG_Close
//	08/06/96	GSL Added id_ACF_Turnstile
//	04/10/95	Created
 
#ifndef __enumIDs__
	#define __enumIDs__

enum ID_MOD {id_MOD_Dromer0,id_MOD_Dromer1,id_MOD_Dromer2,id_MOD_Dromer3,id_MOD_Dromer4,id_MOD_Dromer5,id_MOD_Rok,
		id_MOD_NGoal,id_MOD_SGoal, id_MOD_Camera, id_MOD_Drome, id_MOD_Drag,id_MOD_Ramp,id_MOD_Ramp1,
		id_MOD_Ramp2,id_MOD_Ramp3,id_MOD_Ramp4,id_MOD_Ramp5,id_MOD_Ramp6,
		id_MOD_Ramp7,id_MOD_Ramp8,id_MOD_Ramp9,id_MOD_Ecell, id_MOD_God, id_MOD_SoundMan,  
		id_MOD_HeadCam, id_MOD_StartGun, 
		id_MOD_Multiplier, id_MOD_Multiplier1,id_MOD_Multiplier2,id_MOD_Multiplier3,id_MOD_Multiplier4,
		id_MOD_Multiplier5,
		id_MOD_Turnstile, id_MOD_Turnstile1,id_MOD_Turnstile2,id_MOD_Turnstile3,id_MOD_Turnstile4,
		id_MOD_Turnstile5,id_MOD_Turnstile6,
		id_MOD_LimboPole,id_MOD_LimboPole1,id_MOD_LimboPole2,id_MOD_LimboPole3,
		id_MOD_LimboPole4,id_MOD_LimboPole5,
		id_MOD_KBCharger,id_MOD_KBCharger1,id_MOD_KBCharger2,id_MOD_KBCharger3,
		id_MOD_KBCharger4,id_MOD_KBCharger5,
		id_MOD_Armory,id_MOD_Armory1,
		id_MOD_Mine,
		id_MOD_Swarf,
		id_MOD_FastLane,id_MOD_FastLane1,
		id_MOD_SlowLane,id_MOD_SlowLane1,
		id_MOD_Explosion, id_MOD_Explosion1,id_MOD_Explosion2,
		id_MOD_Explosion3,id_MOD_Explosion4,id_MOD_Explosion5,
		id_MOD_Hurdle, id_MOD_Hurdle1,id_MOD_Hurdle2,
		id_MOD_Hurdle3,id_MOD_Hurdle4,id_MOD_Hurdle5,
		id_MOD_GreenRandomizer,id_MOD_GreenRandomizer1,id_MOD_GreenRandomizer2,id_MOD_GreenRandomizer3,
		id_MOD_GreenRandomizer4,id_MOD_GreenRandomizer5,id_MOD_GreenRandomizer6,id_MOD_GreenRandomizer7,
		id_MOD_RedRandomizer,id_MOD_RedRandomizer1,id_MOD_RedRandomizer2,
		id_MOD_RedRandomizer3,id_MOD_RedRandomizer4,id_MOD_RedRandomizer5,
		id_MOD_Keyboard, id_MOD_GamePad0,id_MOD_GamePad1,id_MOD_JoyStick0,id_MOD_JoyStick1,
		id_MOD_Mouse,
		id_MOD_Coach0, id_MOD_Coach1,	// ADI 8/10/96
		//MDM New body part models 
		//
		id_MOD_BodyPart0, id_MOD_BodyPart1, id_MOD_BodyPart2, id_MOD_BodyPart3, 
		id_MOD_BodyPart4, id_MOD_BodyPart5, id_MOD_BodyPart6, id_MOD_BodyPart7, 

		id_MOD_NOMODEL };

  enum GameObjectType {
			id_GOB_Null,
			id_GOB_Dromer,
			id_GOB_Rok,
			id_GOB_Drome,
			id_GOB_Ramp,
			id_GOB_NGoal,
			id_GOB_SGoal,
			id_GOB_MainCamera,
			id_GOB_HeadCam,
			id_GOB_StartGun,
			id_GOB_Turnstile,
			id_GOB_Multiplier,
			id_GOB_KBCharger,
			id_GOB_GreenRandomizer,
			id_GOB_RedRandomizer,
			id_GOB_God,
			id_GOB_SoundMan,
			id_GOB_LimboPole,
			id_GOB_Hurdle,
			id_GOB_FastLane,
			id_GOB_Explosion,
			id_GOB_Armory,
			id_GOB_KeyBoard,
			id_GOB_GamePad,
			id_GOB_Joystick,
			id_GOB_Mouse,
			id_GOB_SlowLane,
			id_GOB_Mine,
			id_GOB_Swarf,
			id_GOB_Coach,	// ADI 8/10/96
			id_GOB_BodyPart,		// MDM
			id_GOB_NUM_OF_TYPES,
};

enum ID_MSG { 
	id_MSG_Shoot, 				id_MSG_PassTo, 				id_MSG_LostIt, 					id_MSG_GotIt, 
	id_MSG_NGoalScored, 		id_MSG_SGoalScored, 		id_MSG_Stop, 					id_MSG_GoalScored, 
    id_MSG_Jump, 				id_MSG_Fly, 				id_MSG_Landed, 					id_MSG_Attach, 
    id_MSG_Hit, 				id_MSG_RokIsFree,			id_MSG_Activate,				id_MSG_YerAttacked, 
    id_MSG_YerReleased,			id_MSG_YerHit,				id_MSG_DropRok,			 		id_MSG_DetectCollision, 
    id_MSG_Incoming, 			id_MSG_PassReceived, 		id_MSG_Deke, 					id_MSG_SpunDown,
	id_MSG_MoveEyePoint,		id_MSG_Attack,				id_MSG_SndStreamDone,			id_MSG_MoveEyeDir,
	id_MSG_SetAnimation,	 	id_MSG_SendRandomTimeout,	id_MSG_MoveEyeTrack,			id_MSG_ChangeTrackObject,
	id_MSG_ChangeWatchObject, 	id_MSG_Throw, 				id_MSG_ThrowWindUp, 			id_MSG_ShootStartGun,
	id_MSG_Inactivate,		 	id_MSG_ChooseVictim,	 	id_MSG_EndImmunity,				id_MSG_Halfpipe,
	id_MSG_CellAnimationDone, 	id_MSG_CellAnimationEvent,  id_MSG_RailSlide, 				id_MSG_CamFollowRok,
	id_MSG_GotThere,			id_MSG_GamePad,				id_MSG_DirectionKey,			id_MSG_KillBallChange,	
	id_MSG_KillBallSndAnim,		id_MSG_EndSlowDown,			id_MSG_TeamTune,				id_MSG_BetterRed,	
	id_MSG_AssignGRandomPowerUp,id_MSG_EndPassMode, 		id_MSG_Blocked,					id_MSG_Breakaway,
	id_MSG_YerDown,				id_MSG_ExitBehavior, 		id_MSG_Bounce,					id_MSG_DeployWeapon,
	id_MSG_RedIsUp,				id_MSG_RedIsDown,			id_MSG_LookForRok,				id_MSG_TurnTowardMate,

															// *** MIG Changed Here
	id_MSG_NoInputForSec, 		id_MSG_LookForGoal, 		id_MSG_Display,					id_MSG_NewInput,
//	id_MSG_NoInputForSec, 		id_MSG_LookForGoal, 		id_MSG_UnusedW, 				id_MSG_NewInput,
															// *** MIG Changed Here

																							// *** MIG Changed Here
	id_MSG_GoalReceived,		id_MSG_TimeOutMessage,		id_MSG_SpeedBurst,				id_MSG_Open,
//	id_MSG_GoalReceived,		id_MSG_TimeOutMessage,		id_MSG_SpeedBurst,				id_MSG_Unused2,
																							// *** MIG Changed Here
	id_MSG_DragOver,			id_MSG_DoubleScore,			id_MSG_InDrag,					id_MSG_Close, 	
//	id_MSG_DragOver,			id_MSG_DoubleScore,			id_MSG_InDrag,					id_MSG_UnusedJ, 	
																							// *** MIG Changed Here

	id_MSG_Initiate,			id_MSG_Test,				id_MSG_HeadCamOn,				id_MSG_HeadCamOff,
	id_MSG_ShotOnGoal,			id_MSG_UnusedX,				id_MSG_RokInMyPossession,		id_MSG_ChangingViewNControl,
	id_MSG_playCD,				id_MSG_stopCD,       		id_MSG_AtFaceOffPos, 			id_MSG_UnusedK,
	id_MSG_UnusedL,				id_MSG_OneOnOne,			id_MSG_TwoOnTwo,				
	id_MSG_StartDrag,			id_MSG_Celebrate,			id_MSG_Bitch,					id_MSG_GlideToStop,
	id_MSG_UnusedT,				id_MSG_UnusedU,				id_MSG_SyncFrame,				id_MSG_ShootToKill,
	id_MSG_WatchOut,			id_MSG_WatchOutHurdle,		id_MSG_WatchOutTurnstile,		id_MSG_WatchOutMultiplier,
	id_MSG_WatchOutKillball,	id_MSG_DuckingUnder,		id_MSG_EndLongShot,				id_MSG_EndLongPass,
	id_MSG_GoBoom,				id_MSG_UnusedV,				id_MSG_PlayCrowdResponse,		id_MSG_WatchOutArmory,
	id_MSG_WatchOutTurnPost,	id_MSG_ReallySetAnimation,	id_MSG_ExplodeFlat,				id_MSG_ExplodeAgainstVelocity,
	id_MSG_ExplodeWithVelocity,	id_MSG_ExplodeUniform,		id_MSG_TeammateCollision,		id_MSG_OpponentCollision,
	id_MSG_TeamTuneScore,		id_MSG_TeamTuneScore2,		id_MSG_HitInCrotch,

	id_MSG_NOMSG	
};	 

enum CollisionObjectID {

		id_COB_Dromer_0,id_COB_BatonEzone_0,id_COB_DromerBody_0,
		id_COB_Dromer_1,id_COB_BatonEzone_1,id_COB_DromerBody_1,
		id_COB_Dromer_2,id_COB_BatonEzone_2,id_COB_DromerBody_2,
		id_COB_Dromer_3,id_COB_BatonEzone_3,id_COB_DromerBody_3,
		id_COB_Dromer_4,id_COB_BatonEzone_4,id_COB_DromerBody_4,
		id_COB_Dromer_5,id_COB_BatonEzone_5,id_COB_DromerBody_5,
		id_COB_NGoalZone,id_COB_NGoalCase,id_COB_NGoalPort, id_COB_NGoalSide,
		id_COB_SGoalZone,id_COB_SGoalCase,id_COB_SGoalPort,	id_COB_SGoalSide,
		id_COB_Orbot,
		id_COB_Rok, id_COB_Camera,
		id_COB_Ramp,id_COB_Ramp1,id_COB_Ramp2,id_COB_Ramp3,id_COB_Ramp4, 
		id_COB_Ramp5,id_COB_Ramp6,id_COB_Ramp7,id_COB_Ramp8,id_COB_Ramp9,
		id_COB_Ramp10, id_COB_Ramp11,
		id_COB_Dr0_Awareness, id_COB_Dr1_Awareness, id_COB_Dr2_Awareness, id_COB_Dr3_Awareness,
		id_COB_Dr4_Awareness, id_COB_Dr5_Awareness,	id_COB_StartGun,
		id_COB_HeadCam,
		id_COB_Multiplier, 
		id_COB_Multiplier1,id_COB_Multiplier2,id_COB_Multiplier3,id_COB_Multiplier4,
		id_COB_Multiplier5,
        id_COB_Turnstile,id_COB_Turnstile1,id_COB_Turnstile2,id_COB_Turnstile3,id_COB_Turnstile4,
        id_COB_Turnstile5,id_COB_Turnstile6,
		id_COB_LimboPole,id_COB_LimboPole1,id_COB_LimboPole2,id_COB_LimboPole3,
		id_COB_LimboPole4,id_COB_LimboPole5,
		id_COB_KBCharger,id_COB_KBCharger1,id_COB_KBCharger2,id_COB_KBCharger3,
		id_COB_KBCharger4,id_COB_KBCharger5,
        id_COB_Armory,id_COB_Armory1,
		id_COB_Mine,
		id_COB_Swarf,
		id_COB_FastLane,id_COB_FastLane1,
		id_COB_SlowLane,id_COB_SlowLane1,
		id_COB_Explosion,id_COB_Explosion1,id_COB_Explosion2,
		id_COB_Explosion3,id_COB_Explosion4,id_COB_Explosion5,
		id_COB_Hurdle,id_COB_Hurdle1,id_COB_Hurdle2,id_COB_Hurdle3,id_COB_Hurdle4,
		id_COB_Hurdle5,id_COB_Hurdle6,
		id_COB_GreenRandomizer,id_COB_GreenRandomizer1,id_COB_GreenRandomizer2,id_COB_GreenRandomizer3,
		id_COB_GreenRandomizer4,id_COB_GreenRandomizer5,id_COB_GreenRandomizer6,id_COB_GreenRandomizer7,
		id_COB_RedRandomizer,id_COB_RedRandomizer1,id_COB_RedRandomizer2,
		id_COB_RedRandomizer3,id_COB_RedRandomizer4,id_COB_RedRandomizer5,

		// MDM: For now, four heads for main dromers (no goalies)
		id_COB_BodyPart0, id_COB_BodyPart1, id_COB_BodyPart2, id_COB_BodyPart3,
		id_COB_BodyPart4, id_COB_BodyPart5, id_COB_BodyPart6, id_COB_BodyPart7, 




		id_COB_NOCOB 
		};

enum ID_ATK {id_ATK_Punch, id_ATK_HipCheck, id_ATK_ClothesLineL, id_ATK_ClothesLineR, 
			 id_ATK_ShoulderCheckL, id_ATK_ShoulderCheckR, id_ATK_LegSweepL, id_ATK_LegSweepR,
			 id_ATK_NUMATTACKTYPES	};


enum ID_OFS {id_OFS_BirdsEyeTrkOffset, id_OFS_FirstPersonTrkOffset, id_OFS_OverThShldrTrkOffset,
	 id_OFS_OvThSwRokTrkOffset, id_OFS_FallTrkOffset, id_OFS_NOOFS};

enum ID_POS {id_POS_HomeOffsvWingAttack, id_POS_OppnOffsvWingAttack, 
			 id_POS_NGoalDefender, 		 id_POS_SGoalDefender, 		 id_POS_HomeDragStartPos,
			 id_POS_OppnDragStartPos,	 id_POS_RokDragStartPos,	 id_POS_RokCannonMuzzlePos,
			 id_POS_NGoalCenter,
			 id_POS_SGoalCenter,
			 id_POS_SDefnForward,		 id_POS_NDefnForward,	
			 id_POS_NOPOS
			};

enum DirectionFlag	{ A_NODIRECTION, A_FORWARD, A_REVERSE, A_PAUSE };	
enum PlayState		{AA_DONE,AA_PLAY,AA_PAUSE,AA_SINGLESTEP};
enum Reticle_State { RET_Off, RET_Aim, RET_Commit, RET_Curve };

enum RatingMeasureID {	
	 id_RAT_WeightClass, 
	 id_RAT_Stamina,					
	 id_RAT_Checking, 					
	 id_RAT_Balance,					
	 id_RAT_Speed,					
	 id_RAT_ShotPower, 					
	 id_RAT_ShotAccuracy ,					
	 id_RAT_PassAccuracy , 					
	 id_RAT_OffensiveAbility,					
	 id_RAT_LongShotEnable,					
	 id_RAT_Immunity, 					
	 id_RAT_LongPassEnable,					
	 id_RAT_RokReceiving,					
	 id_RAT_Stealing ,					
	 id_RAT_Aggression,					
	 id_RAT_Damage,	
	 id_RAT_Gender,
	 
	 id_RAT_Speedburst0a, id_RAT_Speedburst0b, id_RAT_Speedburst1a, id_RAT_Speedburst1b, id_RAT_Speedburst2a,
	 id_RAT_Speedburst2b, id_RAT_Speedburst3a, id_RAT_Speedburst3b, id_RAT_Speedburst4a, id_RAT_Speedburst4b,
	 id_RAT_Bungee0, id_RAT_Bungee1, id_RAT_Bungee2,
	 id_RAT_Pass0, id_RAT_Pass1, id_RAT_Pass2, 
	 id_RAT_WinCloseFreeRok, id_RAT_LoseCloseFreeRok,
	 id_RAT_WinFarFreeRok,   id_RAT_LoseFarFreeRok,
	 id_RAT_WinOffWingJob, id_RAT_LoseOffWingJob,
	 id_RAT_Multiplier0, id_RAT_Multiplier1, 
	 id_RAT_Turnstile0, id_RAT_Turnstile1, 
	 id_RAT_Killball0, id_RAT_Killball1, 
	 id_RAT_Randomize0, id_RAT_Randomize1, 
	 id_RAT_Fighting0, id_RAT_Fighting1, id_RAT_Fighting2, id_RAT_Fighting3, id_RAT_Fighting4,  
	 id_RAT_FlyingRepetoire, id_RAT_HalfpipeRepetoire,
	 id_RAT_CarryRokThrowDist, id_RAT_WinCarryRokRegroupDist, id_RAT_LoseCarryRokRegroupDist,
	 id_RAT_WinAggressionOnOthers, id_RAT_LoseAggressionOnOthers,
	 id_RAT_NUMRATINGS };
 
enum GoalieRatingsID {

		id_GRT_WeightClass,
		id_GRT_Strength,
		id_GRT_ReactionTime, 
		id_GRT_Balance, 		
		id_GRT_Speed,
		id_GRT_PassAccuracy, 	
		id_GRT_Intelligence , 
		id_GRT_UnderPressure ,
		id_GRT_SaveRight,		
		id_GRT_SaveLeft,
		id_GRT_SaveHigh, 		
		id_GRT_SaveLow,
		id_GRT_ShieldBlocking,
		id_GRT_CatchingAbility ,
		id_GRT_Aggression, 	
		id_GRT_Overall,
		id_GRT_NUMRATINGS
};


enum StatID
	{
	id_STA_rGoals,					id_STA_rShots,					
	id_STA_rAssists,				id_STA_rShooting,				
	id_STA_rPassing,				id_STA_rPassesAttempted,		
	id_STA_rPassesCompleted,		id_STA_rTimeOfPossession,	
	id_STA_rTOPStampStart,			id_STA_rTOPStampEnd,			
	id_STA_r2PointScores,			id_STA_r2PointAttempted,	
	id_STA_r2PointCompleted,	 	id_STA_rShortHandedScores,	
	id_STA_rShortHandedAttempts,	id_STA_rShortHandedCompleted,			
	id_STA_rPowerPlayScores,		id_STA_rPowerPlayAttempts,		
	id_STA_rPowerPlayCompleted,		id_STA_rInterceptions,			
	id_STA_rChecksGiven,			id_STA_rInjuriesGiven,			
	id_STA_rDragsWon,				id_STA_rTimeOnRail,				
	id_STA_rTORStampStart,			id_STA_rTORStampEnd,			
	id_STA_rTotalRailDistance,		id_STA_rHangTime,				
	id_STA_rHTStampStart,			id_STA_rHTStampEnd,			
	
	// These are maintained only for display in game statistics
	id_STA_rOneTimers,				id_STA_rFreestyleMoves,		
	id_STA_rPowerPlayTime,			id_STA_rPPTStampStart,			
	id_STA_rPPTStampEnd,			id_STA_rNUMSTATS
	};


enum Behavior_IDs 
     {id_BEH_GlideToObject, 		id_BEH_Glide, 
      id_BEH_RailSlide, 			id_BEH_Fly, 			id_BEH_MonitorKeyboard, 
      id_BEH_UpdateWhileAttached,	id_BEH_SetInPlace, 		id_BEH_OpenAndClose, 
      id_BEH_Tracking, 				id_BEH_Watching, 		id_BEH_TrackTrajectory, 
      id_BEH_GlideToPosition, 		id_BEH_FlyToward, 	    id_BEH_TrackPassPrep, 	
	  id_BEH_Avoidance,				id_BEH_UpdateRelativePos,	id_BEH_SetFlatInPlace,
	  id_BEH_DoNothing,				id_BEH_SetMovingInPlace,
	  id_BEH_GlideBetweenFacing,	id_BEH_HeadTracking,	id_BEH_CoachTeam,//ADI
	  id_BEH_NUMBEHAVIORS};

enum Beh_Decl_Ctl 
	 {id_BDC_Behavior_Decl,			id_BDC_Behavior_Name,	id_BDC_Change_To_Behavior,
	  id_BDC_Set_Behavior_Param,	id_BDC_NOBDC};

enum AgendaItemIDs {
		  id_AGD_CBeAttached,  			//0
		  id_AGD_CSteerToTarget,  		//1
		  id_AGD_CSetPositionRelative,	//2
		  id_AGD_CSteerToward,			//3	 
		  id_AGD_CAdjustAcceleration,  	//4	
		  id_AGD_CSteerToPosition,  	//4	 
		  id_AGD_CSteerBetweenFacing,	//6
		  id_AGD_CBungeeToward,			//7
		  id_AGD_CAvoidObjects,  	    //8	
		  id_AGD_CMonitorKeys, 			//9
		  id_AGD_CSpeedBurst,			//10
		  id_AGD_CGlideOnSurface,  		//11
		  id_AGD_CSlideOnRail,			//12
		  id_AGD_CProjectAndBounce,  	//13
		  id_AGD_CStepAnimation,  		//14
		  id_AGD_CRelaxToPosition,  	//17
		  id_AGD_CSetAttitude,  		//15
		  id_AGD_CRelaxYaw,				//16
		  id_AGD_CTimerActivity,		//18
		  id_AGD_CTrack,				//19
		  id_AGD_CTrackTraj,			//20
		  id_AGD_CWatch,				//21
		  id_AGD_CTrackPasser_Receiver,	//22
		  id_AGD_CViewIt,				//23
		  id_AGD_CPanSound,				//24
		  id_AGD_CHeadTrack,			//25
		  id_AGD_CDopplerSnd,			//26
		  id_AGD_CPaletteEffect,		//27
		  id_AGD_CDisplayShotPower,		//28
		  id_AGD_CDisplayPassBar,		//29
		  id_AGD_CMonitorHeldKeys, 		//30
		  id_AGD_CUpdateShotPower, 		//31
		  id_AGD_CExplosionAnimation,	//32
		  id_AGD_CTestAgenda,			//33 - ADI 8/10/96
		  id_AGD_NUMAGDITEMS
		};

enum ActionFunctionIDs {
	id_ACF_Set_AttachPak, 	id_ACF_Unset_AttachPak, id_ACF_Recoil,
	id_ACF_Launch,			id_ACF_LaunchToward,		id_ACF_SendMessage,
	id_ACF_Set_SpeedBurst, 	id_ACF_PlaySound, 			id_ACF_NoteStats4Possessors,
	id_ACF_IncrementStat,	id_ACF_StartStatTimer,		id_ACF_EndStatTimer,
	id_ACF_PlaySndType,		id_ACF_PanSndType, 			id_ACF_CrashTestSetup,
	id_ACF_Set_SpeedTurn,   id_ACF_AnimationPeek,		id_ACF_Engage_Opponent,
	id_ACF_SetLocation,		id_ACF_SetVelocity,

	id_ACF_SetObjectToTrack, id_ACF_SetTrackToViewOwner, id_ACF_SetTrackingOffset, id_ACF_IncrementTrackingOffset,
	id_ACF_IncrementObjectToTrack, id_ACF_SetObjectToWatch, id_ACF_IncrementObjectToWatch,
	id_ACF_SetInDrag, id_ACF_SetOnRim, id_ACF_SetFriction,

	id_ACF_SetAnimation, id_ACF_RestorePersistentAnimation, 
	id_ACF_SetAnimationEvent, id_ACF_SetAnimationState, 

	id_ACF_HookDragBungeesOn, id_ACF_ResetAccTransient,

	id_ACF_SetAnimationDoneMessage,	id_ACF_LaunchAt, id_ACF_Throw, 
	id_ACF_SetAnimationSpeed, 
	id_ACF_IncrAnimationSpeed,
	id_ACF_ResetCameraBufferSize,  id_ACF_ThrowBungee,
	id_ACF_ResetKeystateFlags,	   id_ACF_SpinUp,
	id_ACF_SetCamOffsetToLocation, id_ACF_LaunchGunDirection, 
	id_ACF_RelaxYawToFace,		   id_ACF_ResetReticle,     id_ACF_SetHeadCamText,
	id_ACF_InitRearViewPos,		   id_ACF_DopplerSound,	    id_ACF_IncrementBungeeLength,
	id_ACF_SetOffsetValues,		   id_ACF_SetBungeeLength,  id_ACF_PlaceSound,
	id_ACF_IncrementCameraDir,	   id_ACF_SetTrackHeight,   id_ACF_SetMinHeight,
	id_ACF_SetLookHeight,		   id_ACF_SetCamBufferFactor, id_ACF_SetScanModes, 
	id_ACF_SetSolarWindFactor,	   id_ACF_SetPaletteEffect,	id_ACF_SignalKeystate,
	id_ACF_SetMyGravity,		   id_ACF_RecoilOffWall,	id_ACF_ClothesLineRecoil,	
	id_ACF_ManOnManRecoil,		   id_ACF_GetKeystateFlags, id_ACF_SetLocalReal,
	id_ACF_ScaleBubToRating,	   id_ACF_SetRenderFlag,	id_ACF_IncRokValue,
	id_ACF_SetRokKillState,		   id_ACF_ModifyDamage,		id_ACF_ReflectOffWall,
	id_ACF_ModifyPitch,			   id_ACF_ReflectOffModel,	id_ACF_SetTargetWithData,
	id_ACF_BungeeTowardTarget,	   id_ACF_GlideOnRamp,		id_ACF_GrayscaleRandomizer,
	id_ACF_SetImmunity,			   id_ACF_SpeedBurstSituation, id_ACF_IncrAnimSpeedWRating,
	id_ACF_ModifyOpposTeamFriction,id_ACF_SetDeviceOwner,	id_ACF_SetInputMode,
	id_ACF_IncrementScore,		   id_ACF_SwapRandomizers,  id_ACF_ModifyRating,
	id_ACF_ModifyAvailableReds,	   id_ACF_ReallySendMsg,	id_ACF_ExplodeFlat,
	id_ACF_SetShotPowerMeter,	   id_ACF_HoverAboveArmory,	id_ACF_DeployWeapon,
	id_ACF_SetAttackee,			   id_ACF_ModifySpeedRating,id_ACF_ExplodeAgainstVelocity,
	id_ACF_ExplodeWithVelocity,	   id_ACF_ExplodeUniform,	id_ACF_SetKnockedDownState,
	id_ACF_SpinTurnstile,

	//MDM
	id_ACF_LoseHead,				id_ACF_Trace,			id_ACF_RegainHead,

	// MIG
	id_ACF_SetKilledDromer,			id_ACF_AnimationSemaphore, id_ACF_ResetCameraTrack,
	
	//SYH
	id_ACF_SetInfoBarText,

	id_ACF_NUMACTIONFUNCTIONS
};

enum DecisionFunctionIDs {
	id_DCF_Decide_Attachment, 			id_DCF_Decide_Celebration, 		id_DCF_Decide_PassOrRun,
	id_DCF_Decide_HPSpin_Rail_orNot,	id_DCF_PickACell,				id_DCF_Random,
	id_DCF_IsSenderTeammate,			id_DCF_AmMainDromer,			id_DCF_RunTimeData,
	id_DCF_IsRokInMyZone,				id_DCF_AmViewOwner,				id_DCF_TeammateIsViewOwner,
	id_DCF_OwnerIsViewOwner,  			id_DCF_ViewOwnersMateInFront,	id_DCF_IHaveRok, 
	id_DCF_DecidePosition,				id_DCF_CollisionDetail,			id_DCF_EngageWhichOpponent,
	id_DCF_TeammateHasRok,				id_DCF_GagTheAnnouncer, 		id_DCF_VictimCamIsOn,
	id_DCF_Decide_BlockOrGoOut,			id_DCF_WhichOppnIsClosestToRok,	id_DCF_ClosestUncoveredOppn,
	id_DCF_AnalyzePadA, 				id_DCF_AnalyzePadB, 			id_DCF_AnalyzePadC,
	id_DCF_AttackerIsInRear, 			id_DCF_SpeedBurstIsRelaxed,		id_DCF_OffenseOrWRok,
	id_DCF_HostIsViewOwner, 			id_DCF_RokInWhichTeamsPoss,		id_DCF_IsDoubleScore, 
	id_DCF_MyID,						id_DCF_MessageData, 			id_DCF_BungeeVictimLorR,
	id_DCF_IfInFaceOff,					id_DCF_ShotPower,				id_DCF_IsScanningModeOn,
	id_DCF_MessageDataNibl0,			id_DCF_MessageDataNibl1,		id_DCF_MessageDataNibl4,
	id_DCF_MsgData4Nibl1X2Nibl0,		id_DCF_SideKeysAreDown,			id_DCF_SpinUp, 
	id_DCF_AmIKnockedLoose,				id_DCF_CatchBlockOrMiss,		id_DCF_RokScoreValue,
	id_DCF_Jumping,						id_DCF_ChoosePassingPlay,		id_DCF_RecvrInRangeNView,
	id_DCF_WhichOppnIsClosestToMe,		id_DCF_TakeDamage,				id_DCF_Ducking,
	id_DCF_RokIsCharged,				id_DCF_RokIsChargedAgainst,		id_DCF_ClosestTargetToProjectile,
	id_DCF_MeOrTeammateClosestToRok,	id_DCF_IsAmbient,				id_DCF_DromerHurdleCollision,
    id_DCF_DromerHasRok,				id_DCF_RokHurdleCollision,		id_DCF_DromerMultiplierCollision,
    id_DCF_DromerLimboCollision,		id_DCF_DromerRandomizerCollision,id_DCF_RokValueInMyFavor,
	id_DCF_DromerRampCollision,			id_DCF_PassOrRunByRatings,		id_DCF_LooseRokWhatToDo,
	id_DCF_GoThroughMuliplier,			id_DCF_PickAttackMove,			id_DCF_OffWingJob,
	id_DCF_PickFlyingMove,				id_DCF_PickHalfpipeMove,		id_DCF_AvoidSpinningTurnstile,
	id_DCF_TargetTurnstile,				id_DCF_UseKillball,				id_DCF_UseRandomizer,
	id_DCF_ShootSituation,				id_DCF_RegroupSituation,		id_DCF_AggressionOnOthers,
	id_DCF_RedIsAvailable,				id_DCF_TenOrMorePtSpread,		id_DCF_RatingMaxedOut,
	id_DCF_MyTeamLosingByAtLeast,		id_DCF_ChooseTeamTune,			id_DCF_DromerNearMine,
	id_DCF_AttackOrDeployWeapon,	    id_DCF_DecideWithRating,		id_DCF_NearObjectBy,
	id_DCF_SoundBank,					id_DCF_HomeOrAwayTeam,			id_DCF_WinningOrLosing,
	id_DCF_IsDromerKnockedDown,			id_DCF_RandomEmptyArmory,		id_DCF_RandomInactiveWeapon,
	id_DCF_WhoKilledMe,					id_DCF_AnimationSemaphore,

	id_DCF_NUMDECISIONFUNCTIONS
};

enum BehaviorSetParamFnIDs {
	id_SET_ModsTweenNFacing,	id_SET_KeyMonitorMode,	id_SET_InteractorLatency,
	id_SET_Target,				id_SET_TargetPosition,	id_SET_RelativePosition,
	id_SET_ModelImRelativeTo,	id_SET_ObjectToAvoid,	id_SET_ModelImFacing, 
	id_SET_PersistentAnimation, id_SET_TargetGoal,		id_SET_Animation,
	id_SET_AnimationEvent,		id_SET_ObjectToFollow,	id_SET_DoubleScore,
	id_SET_Digressive,			id_SET_PurgeFlag,
	id_SET_NUMBEHSETFNS
};

enum InteractorSetParamFnIDs {
	id_SET_InteractorName, id_SET_ActiveState, 
	id_SET_NUMINTSETFNS
};

enum KeyMonitorModes {
	id_MON_DriveYerGuy, id_MON_GoalieCtrl, id_MON_ArcadeStyle,
	id_MON_NUMMONMODES
}; 

enum SoundTypes { 
	id_STP_Hit,		id_STP_Catch,		id_STP_Shoot,	id_STP_Cheers,	id_STP_Boos, 
	id_STP_Grunts,	id_STP_Landings,	id_STP_Brake,	id_STP_Attack,	id_STP_AncScore, 
	id_STP_AncHit,	id_STP_AncShoot,	id_STP_Bounce,  id_STP_RokScore,id_STP_Turnstile, 
	id_STP_NUMSNDTYPES
};

enum Pronouns {
	id_PRN_Me, 				id_PRN_MyTeammate,		id_PRN_MyLeadOpponent,		id_PRN_MyOtherOpponent,
	id_PRN_MyGoal,			id_PRN_MyGoalSide, 		id_PRN_MyGoalZone,			id_PRN_OpponentsGoal,	
	id_PRN_OppnGoalSide,	id_PRN_OppnGoalZone,	id_PRN_MyCollisionBub,		id_PRN_MyLeadOppnCollBub,
	id_PRN_MyOtherOppnCollBub, id_PRN_MyBackDefWgPos,id_PRN_MyGoalPos, 			//id_PRN_MyERcvPos,

	//The following three Viewowner pronouns have runtime resolution by keeping the hiword flagged in the instruction and having 
	// the called viewman enabled instruction figure out who owns the view at runtime.		
	id_PRN_ViewOwner, 		id_PRN_ViewOwnersGoal,		id_PRN_ViewOwnersTeammate,

	id_PRN_RokCarrier,		id_PRN_RokCarrierCOB,

	id_PRN_MyDragStartPos,	
	
	id_PRN_LastRokCarrier,  id_PRN_PrevRokCarrier,		id_PRN_MyAwarenessBub, 
	id_PRN_NonRokCarryingOppn,
	
	id_PRN_ViewOnrsOppn1, 	id_PRN_ViewOnrsOppn2, 	
	id_PRN_ViewOwnerCOB, 	id_PRN_ViewOnrsOppn1COB,  id_PRN_ViewOnrsOppn2COB,
	id_PRN_WatchedObject,	id_PRN_VwOwnrOppnGoalie,  

	id_PRN_MyBodyBubble,	id_PRN_LeadOppnBodyBub,
	id_PRN_OtherOppnBodyBub, 
	id_PRN_MyGoalie, 		id_PRN_MyLeadTeammate, 
	id_PRN_TrackedObject, 	id_PRN_TrackedObjsTeammate,
	id_PRN_VwOwnrAwarnsBub, id_PRN_VwOwnrsOppnGoal,

	id_PRN_ThisMultiplierCOB,	id_PRN_ThisTurnstileCOB,	id_PRN_ThisLimboPoleCOB,	
	id_PRN_ThisKBChargerCOB,	id_PRN_ThisFastLaneCOB,		id_PRN_ThisExplosionCOB,	
	id_PRN_ThisHurdleCOB,		id_PRN_ThisGreenRandomizerCOB,id_PRN_ThisRedRandomizerCOB,
	id_PRN_ThisRampCOB,			id_PRN_MyTeammatesCOB,		id_PRN_ThisArmoryCOB,
	id_PRN_ThisSlowLaneCOB,		id_PRN_ThisMineCOB,			id_PRN_ThisSwarfCOB,		

	id_PRN_NUMPRONOUNS 
};

#endif
